%define up_name		ocamlsdl
%define name		ocaml-sdl
%define version		0.7.2
%define release		%mkrel 13

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
License:	LGPL
Source:		http://belnet.dl.sourceforge.net/sourceforge/ocamlsdl/%{up_name}-%{version}.tar.bz2
Group:		Development/Other
URL:		http://ocamlsdl.sourceforge.net/
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	libncurses-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-lablgl-devel
BuildRequires:  ocaml-findlib
Obsoletes:      ocaml-SDL
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%package -n %{name}-devel
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
Group:		Development/Other
Requires:	libSDL-devel
Requires:	libSDL_image-devel
Requires:	libSDL_mixer-devel
Requires:	libSDL_ttf-devel
Requires:	libpng-devel
Obsoletes:  ocaml-SDL-devel
Requires:	%{name} = %{version}-%{release}

%description
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%description -n %{name}-devel
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{up_name}-%{version}

%build
%configure2_5x --with-lablgldir=%{_libdir}/ocaml/lablgl
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}/ocaml
install -d %{buildroot}%{_libdir}/ocaml/stublibs
make install OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml"
mkdir -p %{buildroot}/%{_infodir}
install doc/*.info* %{buildroot}/%{_infodir}
install -d %{buildroot}%{_bindir}/
install -m 0755 ./xpm_to_ml %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%post devel
%_install_info ocamlsdl.info

%preun devel
%_remove_install_info ocamlsdl.info

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS NEWS
%dir %{_libdir}/ocaml/sdl
%{_bindir}/xpm_to_ml
%{_libdir}/ocaml/sdl/*.cmi
%{_libdir}/ocaml/sdl/*.cma
%{_libdir}/ocaml/sdl/META
%{_libdir}/ocaml/stublibs/*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_libdir}/ocaml/sdl/*.a
%{_libdir}/ocaml/sdl/*.cmxa
%{_libdir}/ocaml/sdl/*.cmx
%{_libdir}/ocaml/sdl/*.mli
%{_infodir}/*


%changelog
* Sat Aug 15 2009 Florent Monnier <blue_prawn@mandriva.org> 0.7.2-13mdv2010.0
+ Revision: 416418
- added xpm_to_ml, moved doc to -devel

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-12mdv2010.0
+ Revision: 390303
- rebuild

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-11mdv2009.1
+ Revision: 320945
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

* Tue Dec 09 2008 Pixel <pixel@mandriva.com> 0.7.2-10mdv2009.1
+ Revision: 312211
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-9mdv2009.0
+ Revision: 268322
- rebuild early 2009.0 package (before pixel changes)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-8mdv2009.0
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-8mdv2008.0
+ Revision: 78372
- lowercase package name
- renamed to %%name
  mv .cmi in non-devel package
  drop macro definition now in rpm-mandriva-setup

  + Pixel <pixel@mandriva.com>
    - rebuild for ocaml 3.10.0

